Subject: Re: bug#61967: guix pack error with python packages

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 07 Mar 2023 16:08:51 -0500

Hi Josselin,

Josselin Poiret <[email-masked]> writes:

> Hi Cayetano,
>
> Cayetano Santos via Bug reports for GNU Guix <[email-masked]> writes:
>
>> Hello guix,
>>
>>   I’m trying to deploy a test set of python packages to a remote server,
>>   using the following guix pack command (latest guix, as for now)
>>
>>     guix pack -R --compression=xz --save-provenance \
>>     -S /.guix-profile/bin=bin -S /.guix-profile/share=share \
>>     -S /.guix-profile/etc=etc -S /.guix-profile/lib=lib \
>>     -S /.guix-profile/include=include
>>
>>   The resulting file.tar.xz is sent to the server with
>>
>>     scp file.tar.xz server:/dir1/dir2/.
>
> This is most likely [1], which hasn't been fixed yet but I have a patch
> to that effect.  The problem is that it would cause a lot of rebuilds so
> I haven't sent it yet, I'll send it after the core-updates merge.

If you send it *after* the core-updates merge (to core-updates)? It's
going to be quite a while before it lands to master.  Perhaps you could
send it now?  core-updates is the right branch for mass rebuilds.

-- 
Thanks,
Maxim